Last Comment Bug 698378 - Give nsIScriptContext::EvaluateStringWithValue a JSObject* scope parameter
: Give nsIScriptContext::EvaluateStringWithValue a JSObject* scope parameter
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
Depends on:
Blocks: 695753
  Show dependency treegraph
 
Reported: 2011-10-31 04:39 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2011-11-16 10:33 PST (History)
1 user (show)
Ms2ger: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (6.45 KB, patch)
2011-10-31 04:39 PDT, :Ms2ger (⌚ UTC+1/+2)
peterv: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2011-10-31 04:39:29 PDT
Created attachment 570651 [details] [diff] [review]
Patch v1
Comment 1 Peter Van der Beken [:peterv] 2011-11-15 04:28:52 PST
Comment on attachment 570651 [details] [diff] [review]
Patch v1

Review of attachment 570651 [details] [diff] [review]:
-----------------------------------------------------------------

::: dom/base/nsJSEnvironment.cpp
@@ +1210,5 @@
>    }
>  
> +  if (!aScopeObject) {
> +    aScopeObject = JS_GetGlobalObject(mContext);
> +  }

Could we drop this too? I fund 2 callers and both should pass in an object.
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2011-11-16 10:33:46 PST
Dropped and added some assertions.

https://hg.mozilla.org/mozilla-central/rev/9124413a73f8

Note You need to log in before you can comment on or make changes to this bug.